Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1271137 - nfs-ganesha: memleak with nfs-ganesha and FSAL glusterfs
Summary: nfs-ganesha: memleak with nfs-ganesha and FSAL glusterfs
Keywords:
Status: CLOSED EOL
Alias: None
Product: GlusterFS
Classification: Community
Component: ganesha-nfs
Version: 3.7.5
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Kaleb KEITHLEY
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-13 08:46 UTC by Saurabh
Modified: 2017-03-08 10:56 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-08 10:56:10 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)
valgrind logs (632.23 KB, text/plain)
2015-10-13 08:46 UTC, Saurabh
no flags Details

Description Saurabh 2015-10-13 08:46:07 UTC
Created attachment 1082301 [details]
valgrind logs

Description of problem:
Executed the nfs-ganesha along with the valgrind. Some memleaks are reported.

Version-Release number of selected component (if applicable):
glusterfs-3.7.5-1.el7.x86_64
nfs-ganesha-2.2.0-9.el7rhgs.x86_64

How reproducible:
always

Steps to Reproduce:
1. create a volume of type 6x2
2. start nfs-ganesha with valgrind

valgrind -v --tool=memcheck --error-limit=no --leak-check=full --show-reachable=yes --log-file=/tmp/ganesha-val0.log /usr/bin/ganesha.nfsd -L /var/log/ganesha.log -f /etc/ganesha/ganesha.conf -N NIV_EVENT

3. on the mount-point start executing the iozone


Actual results:
the results are uploaded in a file

Expected results:
No memleaks

Additional info:

Comment 1 Jiffin 2015-10-19 09:59:09 UTC
The memleak related to glusterfs is seems to ok. It happens during graph switch()[called from notify function in api/src/glfs-master.c], every variable allocated from that function should be freed from glfs_fini(). And glfs_fini() will be called when a volume is unexported.


Ganesha related memleaks caused from main() function. It seems to there is no proper clean up has done for the same. I will check with Frank and give update on the same

Comment 3 Kaushal 2017-03-08 10:56:10 UTC
This bug is getting closed because GlusteFS-3.7 has reached its end-of-life.

Note: This bug is being closed using a script. No verification has been performed to check if it still exists on newer releases of GlusterFS.
If this bug still exists in newer GlusterFS releases, please reopen this bug against the newer release.


Note You need to log in before you can comment on or make changes to this bug.